pub mod discovery;
pub mod webfinger;

use crate::api::base::stub;
use axum::routing::{any, get, Router};

pub fn routes() -> Router {
    Router::new()
        .route("/.well-known/openid-configuration", get(discovery::get))
        .route("/.well-known/webfinger", get(webfinger::finger))
        .route("/connect/authorize", any(stub))
        .route("/connect/jwks", any(stub))
        .route("/connect/token", any(stub))
        .route("/connect/userinfo", any(stub))
}
