use tracing_subscriber::{layer::SubscriberExt, util::SubscriberInitExt, EnvFilter};

#[cfg(debug_assertions)]
pub fn init() {
    let default_filter = "DEBUG,rustls=INFO,hyper=INFO,axum::rejection=TRACE,h2=INFO";
    tracing_subscriber::registry()
        .with(EnvFilter::try_from_default_env().unwrap_or(default_filter.into()))
        .with(tracing_subscriber::fmt::layer().pretty())
        .init();
}

#[cfg(not(debug_assertions))]
pub fn init() {
    let default_filter = "INFO,axum::rejection=TRACE,reqwest::connect=DEBUG,aws_config=WARN";
    tracing_subscriber::registry()
        .with(EnvFilter::try_from_default_env().unwrap_or(default_filter.into()))
        .with(tracing_subscriber::fmt::layer().json())
        .init();
}
